Subject: bug#2650: Add "lisp/term/screen.el" to support GNU Screen's 256 colors mode

From: Anders Kaseorg <[email-masked]>
Date: Fri, 30 Jul 2010 17:31:52 -0400 (EDT)

On Thu, 12 Mar 2009, Prestoo Ten wrote:
> Please consider adding the file "lisp/term/screen.el" with the
> following contents to support GNU Screen's "screen-256color" terminal
> type:

Note that lisp/faces.el has a heuristic [1] that assumes the terminal has 
a light background for TERM={xterm*,rxvt*,dtterm*,eterm*}, but a dark 
background for other TERMs including TERM=screen*.  So you may also need 
to customize frame-background-mode to 'light to prevent the default colors 
from becoming unreadably bright.  Perhaps the heuristic should be updated?

[1] http://repo.or.cz/w/emacs.git/blob/EMACS_23_2:/lisp/faces.el#l1876